<?php 
function random_number($count,$begin='')
{
	$v = rand(1,9);	
	$count = $count - strlen($begin)-1; 
	if($count<=0) return "FAILED !";
	
	for($i=1;$i<=$count;$i++)
	{
		$v .= rand(0,9);
	}
	return $begin.$v;
	
}
function random_text($count,$begin='')
{
	$v = rand(1,3);	
	switch($v)
	{
		case 1: $V = chr(rand(48,57));break;
		case 2: $V = chr(rand(97,122));break;
		case 3: $V = chr(rand(65,90));break;
	}
	$count = $count - strlen($begin)-1; 
	
	for($i=1;$i<=$count;$i++)
	{
		$v = rand(1,3);	
		switch($v)
		{
			case 1: $V .= chr(rand(48,57));break;
			case 2: $V .= chr(rand(97,122));break;
			case 3: $V .= chr(rand(65,90));break;
		}
	}
	return  $V;
}
?>